[cip-dev] PATCH: xxhash: Enable Autopkgtest for xxhash package

<[email protected]>
Newsgroups org.cip-project.lists.cip-dev
Message-ID <TY4PR01MB15624E3CCC418F638F690F1ADB3DD2@TY4PR01MB15624.jpnprd01.prod.outlook.com>
Source: xxhash
Version: 0.8.3-2
Severity: wishlist

Dear Maintainer,

This patch enables autopkgtest for xxhash by adding a control and upstream  file under debian/tests/.

Also created MR:

https://salsa.debian.org/debian/xxhash/-/merge_requests/3

Please review the patch and provide feedback.

Kind regards,
Samarth Atreya
0001-d-tests-Enable-unit-tests-via-autopkgtest.patch (application/octet-stream, 1.4 KB)
From a8d926b464bfaf30e8938ec6b495f9ab93a7ed72 Mon Sep 17 00:00:00 2001
From: Kernalofcorn2 <[email protected]>
Date: Tue, 11 Aug 2026 10:24:22 +0530
Subject: [PATCH] d/tests: Enable unit tests via autopkgtest

---
 debian/tests/control  |  3 +++
 debian/tests/upstream | 28 ++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)
 create mode 100644 debian/tests/control
 create mode 100644 debian/tests/upstream

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..51c29ea
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: upstream
+Restrictions: allow-stderr
+Depends:@, build-essential
diff --git a/debian/tests/upstream b/debian/tests/upstream
new file mode 100644
index 0000000..043ea1c
--- /dev/null
+++ b/debian/tests/upstream
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+
+make clean
+
+# Copy installed binaries into the source directory and use them for the tests
+cp /usr/bin/xxh128sum \
+    /usr/bin/xxh32sum \
+    /usr/bin/xxh64sum \
+    /usr/bin/xxhsum .
+
+cp /usr/include/xxhash.h .
+
+echo "Running make check"
+make -o xxhsum check
+
+echo "Running make test-xxhsum-c"
+make -o xxhsum test-xxhsum-c
+
+echo "Running make test-xxh-nnn-sums"
+make -o xxhsum test-xxh-nnn-sums
+
+echo "Running make test-multiInclude"
+make test-multiInclude
+
+echo "Running make test_unicode"
+cp xxhsum tests/
+cd tests && make test_unicode -o ../xxhsum
-- 
2.47.3
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.